org.icefaces.ace.component.messages

## Class MessagesBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - org.icefaces.ace.component.messages.MessagesBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IMessages
  Direct Known Subclasses:
    Messages

      public abstract class MessagesBase
      extends javax.faces.component.UIMessages
      implements IMessages

  The messages tag renders all Faces messages, all Faces messages for a specific component, or all Faces messages not associated with any component. If redisplay is true, a message is always rendered; if redisplay is false, a message is rendered only if it was undisplayed before. Styling is done by predefined jQuery classes in theme stylesheets:
  - Info: ui-icon-info w/ ui-state-highlight css
  - Warn: ui-icon-notice w/ ui-state-highlight css
  - Error: ui-icon-alert w/ ui-state-error css
  - Fatal: ui-icon-alert w/ ui-state-error css

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `MessagesBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIMessages

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagesBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChangeEffect()` Return the value of the `changeEffect` property.
    `java.lang.String` | `getChangeEffectDuration()` Return the value of the `changeEffectDuration` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getInitEffect()` Return the value of the `initEffect` property.
    `java.lang.String` | `getInitEffectDuration()` Return the value of the `initEffectDuration` property.
    `java.lang.String` | `getLang()` Return the value of the `lang` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `boolean` | `isEscape()` Return the value of the `escape` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setChangeEffect(java.lang.String changeEffect)` Set the value of the `changeEffect` property.
    `void` | `setChangeEffectDuration(java.lang.String changeEffectDuration)` Set the value of the `changeEffectDuration` property.
    `void` | `setEscape(boolean escape)` Set the value of the `escape` property.
    `void` | `setInitEffect(java.lang.String initEffect)` Set the value of the `initEffect` property.
    `void` | `setInitEffectDuration(java.lang.String initEffectDuration)` Set the value of the `initEffectDuration` property.
    `void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessagesBase

          public MessagesBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIMessages`

    - #### setChangeEffect

          public void setChangeEffect(java.lang.String changeEffect)

      Set the value of the `changeEffect` property.

      Contents: Effect to run to show the message when there was a different previous message. Values and default same as for initEffect.

      Specified by:
        `setChangeEffect` in interface `IMessages`

    - #### getChangeEffect

          public java.lang.String getChangeEffect()

      Return the value of the `changeEffect` property.

      Contents: Effect to run to show the message when there was a different previous message. Values and default same as for initEffect.

      Specified by:
        `getChangeEffect` in interface `IMessages`

    - #### setChangeEffectDuration

          public void setChangeEffectDuration(java.lang.String changeEffectDuration)

      Set the value of the `changeEffectDuration` property.

      Contents: Duration (also called "speed" in jQuery) of change effect. Values and default same as for initEffectDuration.

      Specified by:
        `setChangeEffectDuration` in interface `IMessages`

    - #### getChangeEffectDuration

          public java.lang.String getChangeEffectDuration()

      Return the value of the `changeEffectDuration` property.

      Contents: Duration (also called "speed" in jQuery) of change effect. Values and default same as for initEffectDuration.

      Specified by:
        `getChangeEffectDuration` in interface `IMessages`

    - #### setEscape

          public void setEscape(boolean escape)

      Set the value of the `escape` property.

      Contents: Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. Note: setting this to false may open up security issues. See XSS (Cross Site Scripting) Prevention Cheat Sheet.

      Specified by:
        `setEscape` in interface `IMessages`

    - #### isEscape

          public boolean isEscape()

      Return the value of the `escape` property.

      Contents: Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. Note: setting this to false may open up security issues. See XSS (Cross Site Scripting) Prevention Cheat Sheet. Default = 'true'.

      Specified by:
        `isEscape` in interface `IMessages`

    - #### setInitEffect

          public void setInitEffect(java.lang.String initEffect)

      Set the value of the `initEffect` property.

      Contents: Effect to run to show the message when there was no previous message. One of "blind", "bounce", "clip", "drop", "explode", "fade", "fold", "highlight", "puff", "pulsate", "scale", "shake", "size", "slide". Default is no effect.

      Specified by:
        `setInitEffect` in interface `IMessages`

    - #### getInitEffect

          public java.lang.String getInitEffect()

      Return the value of the `initEffect` property.

      Contents: Effect to run to show the message when there was no previous message. One of "blind", "bounce", "clip", "drop", "explode", "fade", "fold", "highlight", "puff", "pulsate", "scale", "shake", "size", "slide". Default is no effect.

      Specified by:
        `getInitEffect` in interface `IMessages`

    - #### setInitEffectDuration

          public void setInitEffectDuration(java.lang.String initEffectDuration)

      Set the value of the `initEffectDuration` property.

      Contents: Duration (also called "speed" in jQuery) of init effect. One of "slow", "_default", "fast", or an integer of milliseconds. Default is "_default". ("slow", "_default", "fast" currently equated to 600, 400 and 200 respectively in jQuery.)

      Specified by:
        `setInitEffectDuration` in interface `IMessages`

    - #### getInitEffectDuration

          public java.lang.String getInitEffectDuration()

      Return the value of the `initEffectDuration` property.

      Contents: Duration (also called "speed" in jQuery) of init effect. One of "slow", "_default", "fast", or an integer of milliseconds. Default is "_default". ("slow", "_default", "fast" currently equated to 600, 400 and 200 respectively in jQuery.)

      Specified by:
        `getInitEffectDuration` in interface `IMessages`

    - #### setLang

          public void setLang(java.lang.String lang)

      Set the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

      Specified by:
        `setLang` in interface `IMessages`

    - #### getLang

          public java.lang.String getLang()

      Return the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

      Specified by:
        `getLang` in interface `IMessages`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: CSS style(s) to be applied when this component is rendered.

      Specified by:
        `setStyle` in interface `IMessages`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: CSS style(s) to be applied when this component is rendered.

      Specified by:
        `getStyle` in interface `IMessages`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

      Specified by:
        `setStyleClass` in interface `IMessages`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

      Specified by:
        `getStyleClass` in interface `IMessages`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `setTitle` in interface `IMessages`

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `getTitle` in interface `IMessages`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.